Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTransformCollection Class Reference

`#include <vtkTransformCollection.h>`

Inheritance diagram for vtkTransformCollection:

[legend]
Collaboration diagram for vtkTransformCollection:

[legend]
List of all members.

## Detailed Description

maintain a list of transforms

Date:
  2002/12/26 18:24:22

Revision:
  1.32

vtkTransformCollection is an object that creates and manipulates lists of objects of type vtkTransform.

See also:
  vtkCollection vtkTransform

Created by:
  - Hoffman, Bill
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (43%)
  - Hoffman, Bill (26%)
  - Martin, Ken (25%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkTransformCollection.cxx)`
  - .`h` (`/Common/vtkTransformCollection.h)`

Tests:
  vtkTransformCollection (Tests)

Definition at line 53 of file vtkTransformCollection.h.

## Public Types
typedef vtkCollection | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | AddItem (vtkTransform *)
vtkTransform * | GetNextItem ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkTransformCollection * | SafeDownCast (vtkObject *o)
vtkTransformCollection * | New ()
## Protected Methods
| vtkTransformCollection ()
| ~vtkTransformCollection ()

## Member Typedef Documentation

typedef vtkCollection vtkTransformCollection::Superclass

| Reimplemented from vtkCollection. Definition at line 56 of file vtkTransformCollection.h.

## Constructor & Destructor Documentation

vtkTransformCollection::vtkTransformCollection | ( |  | ) | `[inline, protected]`

| Definition at line 67 of file vtkTransformCollection.h.

vtkTransformCollection::~vtkTransformCollection | ( |  | ) | `[inline, protected]`

| Definition at line 68 of file vtkTransformCollection.h.

## Member Function Documentation

virtual const char* vtkTransformCollection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCollection.

int vtkTransformCollection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

virtual int vtkTransformCollection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

vtkTransformCollection* vtkTransformCollection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCollection.

vtkTransformCollection* vtkTransformCollection::New | ( |  | ) | `[static]`

| Construct with empty list. Reimplemented from vtkCollection.

void vtkTransformCollection::AddItem | ( | vtkTransform * |  | ) | `[inline]`

| Add a Transform to the list. Definition at line 80 of file vtkTransformCollection.h. References vtkCollection::AddItem().

vtkTransform * vtkTransformCollection::GetNextItem | ( |  | ) | `[inline]`

| Get the next Transform in the list. Return NULL when the end of the list is reached. Definition at line 85 of file vtkTransformCollection.h. References vtkCollection::GetNextItemAsObject().

The documentation for this class was generated from the following file:

- Common/vtkTransformCollection.h